Group: Development/Perl
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(Moose/Util/TypeConstraints.pm) perl(Test/More.pm) perl(ok.pm) perl-devel perl-podlators
# END SourceDeps(oneline)
Name:           perl-Test-TempDir
Version:        0.05
Release:        alt2_13
Summary:        Temporary files support for testing
License:        GPL+ or Artistic
URL:            http://search.cpan.org/dist/Test-TempDir/
Source0:        http://www.cpan.org/authors/id/F/FL/FLORA/Test-TempDir-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
BuildRequires:  perl(File/NFSLock.pm)
BuildRequires:  perl(Moose.pm)
BuildRequires:  perl(MooseX/Types/Path/Class.pm)
BuildRequires:  perl(namespace/clean.pm)
BuildRequires:  perl(Path/Class.pm)
BuildRequires:  perl(Sub/Exporter.pm)
BuildRequires:  perl(Test/use/ok.pm)
Requires:       perl(File/NFSLock.pm)


Source44: import.info

%description
Test::TempDir provides temporary directory creation with testing in mind.

%prep
%setup -q -n Test-TempDir-%{version}

%build
%{__perl} Makefile.PL INSTALLMAN1DIR=%_man1dir INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist | xargs rm -f
find $RPM_BUILD_ROOT -depth -type d -empty -exec rmdir {} \;

# %{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%doc Changes README
%{perl_vendor_privlib}/Test

%changelog
* Mon Mar 04 2013 Igor Vlasenko <viy@altlinux.ru> 0.05-alt2_13
- update to new release by fcimport

* Fri Dec 21 2012 Igor Vlasenko <viy@altlinux.ru> 0.05-alt2_12
- update to new release by fcimport

* Tue Jul 31 2012 Igor Vlasenko <viy@altlinux.ru> 0.05-alt2_11
- update to new release by fcimport

* Fri May 25 2012 Igor Vlasenko <viy@altlinux.ru> 0.05-alt2_9
- fc import

* Thu May 24 2012 Igor Vlasenko <viy@altlinux.ru> 0.05-alt1_9
- fc import

